JNA API 3.3.0

## com.sun.jna.win32
Class W32APIFunctionMapper

    java.lang.Object
      com.sun.jna.win32.W32APIFunctionMapper

All Implemented Interfaces:
  FunctionMapper

    public class W32APIFunctionMapper

extends Object
implements FunctionMapper

Encapsulates lookup of W32 API UNICODE/ASCII functions.

Field Summary
`static FunctionMapper` | `ASCII`
`static FunctionMapper` | `UNICODE`

Constructor Summary
`protected` | `W32APIFunctionMapper(boolean unicode)`

Method Summary
`String` | `getFunctionName(NativeLibrary library, Method method)` Looks up the method name by adding a "W" or "A" suffix as appropriate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNICODE

    public static final FunctionMapper UNICODE

### ASCII

    public static final FunctionMapper ASCII

Constructor Detail

### W32APIFunctionMapper

    protected W32APIFunctionMapper(boolean unicode)

Method Detail

### getFunctionName

    public String getFunctionName(NativeLibrary library,
                                  Method method)

  Looks up the method name by adding a "W" or "A" suffix as appropriate.

  Specified by:
    `getFunctionName` in interface `FunctionMapper`

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.